> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Compliance Information

> Add Compliance information to a user.



## OpenAPI

````yaml /v2.yaml put /v2/users/{user_id}/compliance
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/users/{user_id}/compliance:
    parameters:
      - schema:
          type: string
        name: user_id
        in: path
        required: true
        description: Id of the user to fetch
    put:
      tags:
        - users
      summary: Submit Compliance Information
      description: Add Compliance information to a user.
      operationId: submit-compliance
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                w9:
                  type: object
                  description: W-9 equivalent for users based in the United States.
                  properties:
                    entity_type:
                      type: string
                      enum:
                        - individual
                        - business
                      description: >-
                        Type of entity filling out the W-9, `business` or
                        `individual`.
                    business_name:
                      type: string
                      description: >-
                        Legal bussiness name. Required if `entity_type` is
                        `business`.
                    first_name:
                      type: string
                    last_name:
                      type: string
                    date_of_birth:
                      type: string
                      format: date
                      description: Required if `entity_type` is `individual`.
                    tin:
                      type: string
                      minLength: 9
                      maxLength: 9
                      description: >-
                        SSN if `entity_type` is `individual`. EIN if
                        `entity_type` is `business`.
                    address:
                      type: object
                      required:
                        - line_1
                        - city
                        - state
                        - country
                        - postcode
                      description: Address of the user or their business.
                      properties:
                        line_1:
                          type: string
                          description: Address line 1.
                        line_2:
                          type: string
                          description: Address Line 2
                        city:
                          type: string
                          description: City.
                        state:
                          type: string
                          description: State.
                        country:
                          type: string
                          description: Country.
                        postcode:
                          type: string
                          description: Postal code or Zip code.
                  required:
                    - entity_type
                    - date_of_birth
                    - tin
                    - address
                w8ben:
                  type: object
                  description: W8-BEN form for foreign payees.
                  properties:
                    name:
                      type: string
                      description: Full name of the person.
                    citizenship_country:
                      type: string
                      description: >-
                        The two-letter ISO country code associated with the
                        beneficial owner's citizenship.
                    date_of_birth:
                      type: string
                      format: date
                      description: Date of birth of the user.
                    foreign_tax_id:
                      type: string
                      description: >-
                        The tax identification number associated with the
                        beneficial owner's country of residence. This is
                        required for non-exempt countries.
                    tax_treaty_country:
                      type: string
                      description: >-
                        The two-letter ISO country code of the country for tax
                        treaty purposes.
                    tax_treaty_citation:
                      type: string
                      description: >-
                        The article and paragraph of the citation claimed for
                        tax treaty purposes.
                    tax_treaty_rate:
                      type: number
                      format: decimal
                      description: >-
                        The withholding rate claimed for tax treaty purposes.
                        For example, a 15% rate would be represented as 0.15.
                    tax_treaty_income_type:
                      type: string
                      enum:
                        - interest1
                        - dividend6
                        - dividend7
                        - pension15
                        - socialSecurity
                        - equipment10
                        - knowhow10
                        - patent10
                        - film11
                        - copyright12
                      description: >-
                        The type of income for tax treaty purposes. Valid values
                        are - interest1 (Interest Paid by U.S. Obligors) -
                        dividend6 (Dividends Paid by U.S. Corporations) -
                        dividend7 (Dividends Qualifying for Direct Dividend
                        Rate) - pension15 (Pensions and Annuities) -
                        socialSecurity (Social Security) - equipment10
                        (Industrial Equipment) - knowhow10 (Know-How/Other
                        Industrial Royalties) - patent10 (Patents) - film11
                        (Film & TV) - copyright12 (Copyrights)
                    tax_treaty_explanation:
                      type: string
                      description: An optional explanation for the tax treaty claimed.
                    address:
                      type: object
                      required:
                        - line_1
                        - city
                        - country
                        - postcode
                      description: Address of the user or their business.
                      properties:
                        line_1:
                          type: string
                          description: Address line 1.
                        line_2:
                          type: string
                          description: Address line 2.
                        city:
                          type: string
                          description: City.
                        state:
                          type: string
                          description: State.
                        country:
                          type: string
                          description: Country.
                        postcode:
                          type: string
                          description: Postal code or Zip Code.
                    signature:
                      type: object
                      required:
                        - consent
                        - name
                        - email
                      description: Signature of the user.
                      properties:
                        consent:
                          type: boolean
                          description: >-
                            The consent of the beneficial owner to the
                            disclosure of their information to the IRS.
                        name:
                          type: string
                          description: The name of the person signing the form.
                        email:
                          type: string
                          description: The email address of the person signing the form.
                  required:
                    - name
                    - citizenship_country
                    - date_of_birth
                    - address
                    - signature
                  if:
                    properties:
                      citizenship_country:
                        not:
                          enum:
                            - AU
                            - BM
                            - VG
                            - KY
                            - JP
                  then:
                    required:
                      - foreign_tax_id
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````